function [trobat,FS,linkBloq] = BuscaLloc(FSaOcupar,nodesPath,NumOfLinks)

    global Grid;

    % Creaci de matriu de zeros amb 'FSaOcupar' elements
    % El '+2' es per deixar un espai de guarda a cada extrem
    n=zeros(1,FSaOcupar+2);
    posibles = cell(1,NumOfLinks);
    trobat = 1;
    linkBloq = -1;
    FS = -1;
    
    for k=1:NumOfLinks
            a = nodesPath(k);
            b = nodesPath(k+1);
            % Torna l'ndex dels possibles espais buits
            posibles{1,k} = strfind(Grid{a,b},n);
            
            % Compara els ndexs i salva nicament els que coincideixen
            % s a dir, l'acumulat de l'actual amb els anteriors enllaos.
            if (k>1)
                posibles{1,k} = posibles{1,k}(ismember(posibles{1,k},posibles{1,k-1}));
            end
            
            % Si no hi ha lloc, ja siga per estar ocupat l'enlla
            % individualmente o amb la suma dels anteriors
            if (isempty(posibles{1,k}))
                trobat = 0;
                linkBloq = k;
                break;
            end
    end

    % En cas d'haver diverses possibles posicions, el criteri s utilitzar
    % la de ms a la esquerra (la primera)
    if (trobat == 1)
        FS = posibles{1,k}(1);
    end
end
