
% Obtenci i comprovaci de parmetres incials.
kSP = -1;
while (kSP ~= 1 && kSP ~= 2 && kSP ~= 3)
    kSP=input('Nombre de camins K-Shortest Path [1,2,3]: ');
end

rMin = -1;
while (rMin <= 0)
    rMin = input('Taxa mnima [ > 0 ]: ');
end

rMax = -1;
while (rMax < rMin)
    rMax = input('Taxa mxima [ >= taxa_mnima ]: ');
end

rIncr = -1;
while (rIncr <= 0)
    rIncr = input('Incremet de taxa: ');
end

avgConn = -1;
while (avgConn < 1000 )
    avgConn=input('Nombre aproximat de connexions per simulaci [ > 1000 ]: ');
end

mapa = 0;
while (mapa ~= 1 && mapa ~= 2 && mapa ~= 3 && mapa ~= 99)
    mapa = input('Topologia a utilitzar [1-NSFnet, 2-TEL, 3-DT]: ');
end

if (mapa == 1)
    mapa = 'NSFnet';
elseif (mapa == 2)
    mapa = 'TEL';
elseif (mapa == 3)
    mapa = 'DT';
elseif (mapa == 99)
    mapa = 'basic';
end


distrib = 0;
distType = 0;
while (distrib ~= 1 && distrib ~= 2)
    distrib = input('Distribuci [1-Poisson homognia, 2-Poisson no-homognia]: ');
end

if (distrib == 1)
    distrib = 'PPH';
elseif (distrib == 2)
    distrib = 'PPNH';
    avgConn = avgConn * 1.8349;
    while (distType ~= 1 && distType ~= 2)
        distType = input('Funci lambda(t) [1- exprnd(lambda), 2- cosinus]: ');
    end
end

probNodesType = -1;
while (probNodesType ~= 1 && probNodesType ~= 2)
    probNodesType=input('Distribuci de prob dels nodes [1-Uniforme, 2-No uniforme]: ');
end

tic;
multiWaitbar( 'CloseAll' );
multiWaitbar( 'Progrs total', 0);

Root = {};

for k=1:kSP
    multiWaitbar( ['Progrs individual amb kSP = ', num2str(k)], 0 );
    
    for taxa=rMin:rIncr:rMax
        a=size(taxa,2);
        temps = avgConn/taxa;
        [bloq, MatConnexions,MatCamins] = simulacio (mapa,k,temps,taxa,distrib,distType,probNodesType);
        Root = cat(1,Root,{k,taxa,temps,bloq,MatConnexions,MatCamins});
        
        multiWaitbar( ['Progrs individual amb kSP = ', num2str(k)], 'increment', 1/(1+((rMax-rMin)/rIncr)));
        multiWaitbar( 'Progrs total', 'increment', (1/kSP)*(1/(1+((rMax-rMin)/rIncr))));
    end
    multiWaitbar( ['Progrs individual amb kSP = ', num2str(k)], 'Close' );
end
multiWaitbar( 'CloseAll' );

[LinkMesTrafic, MatEstadistiques] = estadistiques(Root);

CreacioGrafiques(Root,LinkMesTrafic);

toc;
msgbox(['Temps de simulaci: ', num2str(toc), ' segons']);